import logging

from .vgg import Vgg


class VggPretrained(Vgg):

    NAME = "vgg-pretrained"

    def is_pretrained(self):
        return True

    def reset_parameters(self):
        logging.info("No parameter reset since we are using a pretrained model.")